Subject: bug#65704: 29.1; Most code of `project-ignores' seems to be dead code

From: Damien Cassou <[email-masked]>
Date: Tue, 05 Sep 2023 09:58:39 +0200

Hi Dmitry,

Dmitry Gutov <[email-masked]> writes:
> Perhaps you have an older version installed somewhere?

I think I experimented a bit too much :-), thanks for noticing. I
restarted Emacs and am now using project 0.9.8 from elpa. The expression
(project-current) now returns (vc nil "…/client/") in my client/
directory. Notice the nil in the second position. This means that
`project-files' for 'vc will set nil as backend. As a result, the
optimized `project--vc-list-files' isn't used. This means the files
listed in client/.gitignore are not ignored.

I'm certainly doing something wrong again.

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill